<?php
/**
 * Plugin Name: WordCamp.org Login Message
 * Plugin Description: Displays a "Login with your WordPress.org account." in wp-login.php
 */

add_action( 'login_head', 'wcorg_login_css' );
function wcorg_login_css() {
	?>

	<style type="text/css">
		div.message {
			width: 400px;
		}

			div.message p {
				margin-bottom: 1em;
			}

			#not-your-personal-site {
				font-style: italic;
			}
	</style>

	<?php
}

add_filter( 'login_message', 'wcorg_login_message' );
function wcorg_login_message( $message ) {
	ob_start();
	?>

	<div class="message">
		<p>Please use your <strong>WordPress.org</strong>* account to login.</p>

		<p>If you don't have an account, <a href="http://wordpress.org/support/register.php">please create one</a>.</p>

		<p id="not-your-personal-site">* This is your account for <a href="http://wordpress.org">the actual WordPress.org website</a>, not your personal WordPress site.</p>
	</div>

	<?php
	$message = ob_get_clean();
	return $message;
}
